
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

--- qpe-gaim/src/QGaimNotify.cpp~libopie2
+++ qpe-gaim/src/QGaimNotify.cpp
@@ -28,9 +28,9 @@
 #include <qmessagebox.h>
 #include <qtextview.h>
 
-#include <opie/odevice.h>
+#include <opie2/odevice.h>
 
-using namespace Opie;
+using namespace Opie::Core;
 
 static int notifyActiveCount = 0;
 
@@ -215,7 +215,7 @@
 	if (!gaim_prefs_get_bool("/gaim/qpe/notify/use_buzzer"))
 		return;
 
-	ODevice::inst()->alarmSound();
+	ODevice::inst()->playAlarmSound();
 }
 
 void
--- qpe-gaim/src/QGaimPrefsDialog.cpp~libopie2
+++ qpe-gaim/src/QGaimPrefsDialog.cpp
@@ -30,8 +30,8 @@
 #include <qvbox.h>
 #include <qvgroupbox.h>
 
-#include <opie/otabwidget.h>
-#include <opie/owait.h>
+#include <opie2/otabwidget.h>
+#include <opie2/owait.h>
 
 #include <qpe/resource.h>
 
@@ -306,7 +306,7 @@
 	layout = new QVBoxLayout(this);
 	layout->setAutoAdd(true);
 
-	tabs = new OTabWidget(this, "pref tabs");
+	tabs = new Opie::Ui::OTabWidget(this, "pref tabs");
 
 	blistPage    = new QGaimBlistPrefPage(this,  "blist page");
 	notifyPage   = new QGaimNotifyPrefPage(this, "notify page");
@@ -332,7 +332,7 @@
 void
 QGaimPrefsDialog::accept()
 {
-	OWait wait(this);
+	Opie::Ui::OWait wait(this);
 
 	wait.show();
 
--- qpe-gaim/src/QGaimPrefsDialog.h~libopie2
+++ qpe-gaim/src/QGaimPrefsDialog.h
@@ -22,8 +22,8 @@
 #define _QGAIM_PREFS_DIALOG_H_
 
 #include <qdialog.h>
+#include <opie2/otabwidget.h>
 
-class OTabWidget;
 class QCheckBox;
 
 class QGaimPrefPage : public QWidget
@@ -150,7 +150,7 @@
 		void buildInterface();
 
 	private:
-		OTabWidget *tabs;
+		Opie::Ui::OTabWidget *tabs;
 
 		QGaimPrefPage *blistPage;
 		QGaimPrefPage *convPage;
--- qpe-gaim/src/main.cpp~libopie2
+++ qpe-gaim/src/main.cpp
@@ -20,7 +20,7 @@
  */
 #include "QGaimMainWindow.h"
 
-#include <qpe/qpeapplication.h>
-#include <opie/oapplicationfactory.h>
+#include <opie2/oapplicationfactory.h>
+using namespace Opie::Core;
 
 OPIE_EXPORT_APP(OApplicationFactory<QGaimMainWindow>)
